From 2ecd4fd921b17c2b39747e02c521dece74ffbde6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 30 2020 06:56:05 +0000
Subject: [PATCH 1631/2232] Change string comparison test to compile on MSVC


Error from MSVC:

> a parenthesized type followed by an initializer list is a non-standard
> explicit type conversion syntax

---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 934e58e..244c6c0 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -660,7 +660,8 @@ extern "C" const char *cxx_run_test() noexcept {
   rust::String first = "first", second = "second", sec = "sec";
   bool (rust::String::*cmp)(const rust::String &) const;
   bool first_first, first_second, sec_second, second_sec;
-  for (auto test : (std::tuple<decltype(cmp), bool, bool, bool, bool>[]) {
+  for (auto test : {
+    std::tuple<decltype(cmp), bool, bool, bool, bool>
     {&rust::String::operator==, true, false, false, false},
     {&rust::String::operator!=, false, true, true, true},
     {&rust::String::operator<, false, true, true, false},

